Skip to content

document-invoices​


Create preview​

POST
/accounts/{accountUuid}/documents/v2/{type}/{invoiceUuid}/preview

Creates a new PDF preview for a document or returns the sent PDF if one exists

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"isTemplate": true,
  
  
  
"creditNoteDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"pricesIncludeVat": true,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "page_break",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"text": "string",
  
  
  
  
  
"items": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
  
"kind": "product",
  
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
  
"productDescription": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"showCollapsed": true
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0,
  
  
  
  
"amount": 0
  
  
  
},
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"receiver": {
  
  
  
  
"addressUuid": "string",
  
  
  
  
"personUuid": "string",
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
"companyUuid": "string",
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
{
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"customerNumber": "string"
  
  
  
}
  
  
}
  
]
}

Responses​

Created a preview PDF

application/json
JSON
{
  
"data": {
  
  
"previewUrl": "string",
  
  
"downloadUrl": "string",
  
  
"expiresAt": "string"
  
},
  
"message": "string",
  
"status": 201,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


document-contract-notes​


Create preview​

POST
/accounts/{accountUuid}/documents/v2/{type}/{invoiceUuid}/preview

Creates a new PDF preview for a document or returns the sent PDF if one exists

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"isTemplate": true,
  
  
  
"creditNoteDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"pricesIncludeVat": true,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "page_break",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"text": "string",
  
  
  
  
  
"items": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
  
"kind": "product",
  
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
  
"productDescription": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"showCollapsed": true
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0,
  
  
  
  
"amount": 0
  
  
  
},
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"receiver": {
  
  
  
  
"addressUuid": "string",
  
  
  
  
"personUuid": "string",
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
"companyUuid": "string",
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
{
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"customerNumber": "string"
  
  
  
}
  
  
}
  
]
}

Responses​

Created a preview PDF

application/json
JSON
{
  
"data": {
  
  
"previewUrl": "string",
  
  
"downloadUrl": "string",
  
  
"expiresAt": "string"
  
},
  
"message": "string",
  
"status": 201,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


document-recurring-invoices​


Create preview​

POST
/accounts/{accountUuid}/documents/v2/{type}/{invoiceUuid}/preview

Creates a new PDF preview for a document or returns the sent PDF if one exists

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"isTemplate": true,
  
  
  
"creditNoteDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"pricesIncludeVat": true,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "page_break",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"text": "string",
  
  
  
  
  
"items": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
  
"kind": "product",
  
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
  
"productDescription": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"showCollapsed": true
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0,
  
  
  
  
"amount": 0
  
  
  
},
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"receiver": {
  
  
  
  
"addressUuid": "string",
  
  
  
  
"personUuid": "string",
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
"companyUuid": "string",
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
{
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"customerNumber": "string"
  
  
  
}
  
  
}
  
]
}

Responses​

Created a preview PDF

application/json
JSON
{
  
"data": {
  
  
"previewUrl": "string",
  
  
"downloadUrl": "string",
  
  
"expiresAt": "string"
  
},
  
"message": "string",
  
"status": 201,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


document-quotes​


Create preview​

POST
/accounts/{accountUuid}/documents/v2/{type}/{invoiceUuid}/preview

Creates a new PDF preview for a document or returns the sent PDF if one exists

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"isTemplate": true,
  
  
  
"creditNoteDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"pricesIncludeVat": true,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "page_break",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"text": "string",
  
  
  
  
  
"items": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
  
"kind": "product",
  
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
  
"productDescription": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"showCollapsed": true
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0,
  
  
  
  
"amount": 0
  
  
  
},
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"receiver": {
  
  
  
  
"addressUuid": "string",
  
  
  
  
"personUuid": "string",
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
"companyUuid": "string",
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
{
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"customerNumber": "string"
  
  
  
}
  
  
}
  
]
}

Responses​

Created a preview PDF

application/json
JSON
{
  
"data": {
  
  
"previewUrl": "string",
  
  
"downloadUrl": "string",
  
  
"expiresAt": "string"
  
},
  
"message": "string",
  
"status": 201,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


document-delivery-notes​


Create preview​

POST
/accounts/{accountUuid}/documents/v2/{type}/{invoiceUuid}/preview

Creates a new PDF preview for a document or returns the sent PDF if one exists

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"isTemplate": true,
  
  
  
"creditNoteDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"pricesIncludeVat": true,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "page_break",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"text": "string",
  
  
  
  
  
"items": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
  
"kind": "product",
  
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
  
"productDescription": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"showCollapsed": true
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0,
  
  
  
  
"amount": 0
  
  
  
},
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"receiver": {
  
  
  
  
"addressUuid": "string",
  
  
  
  
"personUuid": "string",
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
"companyUuid": "string",
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
{
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"customerNumber": "string"
  
  
  
}
  
  
}
  
]
}

Responses​

Created a preview PDF

application/json
JSON
{
  
"data": {
  
  
"previewUrl": "string",
  
  
"downloadUrl": "string",
  
  
"expiresAt": "string"
  
},
  
"message": "string",
  
"status": 201,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​


document-credit-notes​


Create preview​

POST
/accounts/{accountUuid}/documents/v2/{type}/{invoiceUuid}/preview

Creates a new PDF preview for a document or returns the sent PDF if one exists

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
invoiceUuid*
Type
string
Required
Format
"uuid"
type*

Type of the document

Type
string
Required
Valid values
"invoices""contract-notes""recurring-invoices""quotes""delivery-notes""credit-notes"

Request Body​

application/json
JSON
{
  
"documents": [
  
  
{
  
  
  
"isTemplate": true,
  
  
  
"creditNoteDate": "string",
  
  
  
"dueDate": "string",
  
  
  
"pricesIncludeVat": true,
  
  
  
"documentTotal": 0,
  
  
  
"positions": [
  
  
  
  
{
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
"uuid": "string",
  
  
  
  
  
"kind": "page_break",
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
"discount": {
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
},
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
"vat": {
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
},
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
"productDescription": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"text": "string",
  
  
  
  
  
"items": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"positionNumber": 0,
  
  
  
  
  
  
  
"kind": "product",
  
  
  
  
  
  
  
"unitUuid": "string",
  
  
  
  
  
  
  
"unitCode": "C62",
  
  
  
  
  
  
  
"quantity": 1,
  
  
  
  
  
  
  
"singlePrice": 0,
  
  
  
  
  
  
  
"discount": {
  
  
  
  
  
  
  
  
"percentage": 0,
  
  
  
  
  
  
  
  
"amount": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"vatUuid": "string",
  
  
  
  
  
  
  
"vat": {
  
  
  
  
  
  
  
  
"percentage": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"productUuid": null,
  
  
  
  
  
  
  
"productNumber": "string",
  
  
  
  
  
  
  
"productDescription": "string"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"showCollapsed": true
  
  
  
  
}
  
  
  
],
  
  
  
"documentDiscount": {
  
  
  
  
"percentage": 0,
  
  
  
  
"amount": 0
  
  
  
},
  
  
  
"currencyCode": "string",
  
  
  
"title": "string",
  
  
  
"reference": "string",
  
  
  
"customField1": "string",
  
  
  
"customField2": "string",
  
  
  
"customField3": "string",
  
  
  
"customField4": "string",
  
  
  
"terms": "string",
  
  
  
"publicNotes": "string",
  
  
  
"footerText": "string",
  
  
  
"receiver": {
  
  
  
  
"addressUuid": "string",
  
  
  
  
"personUuid": "string",
  
  
  
  
"deliveryAddressUuid": "string",
  
  
  
  
"companyUuid": "string",
  
  
  
  
"contactPersonUuid": "string",
  
  
  
  
"additionalReceivers": [
  
  
  
  
  
{
  
  
  
  
  
  
"personUuid": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"customerNumber": "string"
  
  
  
}
  
  
}
  
]
}

Responses​

Created a preview PDF

application/json
JSON
{
  
"data": {
  
  
"previewUrl": "string",
  
  
"downloadUrl": "string",
  
  
"expiresAt": "string"
  
},
  
"message": "string",
  
"status": 201,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​